import { CommonModule } from '@angular/common';
import { Component, OnInit } from '@angular/core';
import { IonHeader,IonButton, IonContent, IonIcon, IonItem, IonLabel, IonList, 
  IonListHeader, IonTitle, IonToolbar,IonInput,IonSearchbar } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { Router } from '@angular/router';

@Component({
  selector: 'app-topic-detail',
  templateUrl: './topic-detail.component.html',
  styleUrls: ['./topic-detail.component.scss'],
  standalone: true,
  imports: [IonHeader,IonToolbar,IonTitle,IonContent,ExploreContainerComponent,
    IonList,IonListHeader,IonItem,
    IonLabel,IonIcon,IonButton,
    IonInput,IonSearchbar,
    CommonModule
  ]
})
export class TopicDetailComponent  implements OnInit {
  tips = [
    {
      title: '深呼吸',
      description: '通过深呼吸来放松身心，缓解焦虑',
      details: '通过深呼吸，个体能够调节身体的生理反应，促进氧气的充分吸入，从而使身体和大脑得到放松。因此，定期进行深呼吸练习不仅能够有效缓解焦虑，还能提升整体的心理健康和情绪稳定性。',
      expanded: false,
    },
    {
      title: '运动',
      description: '规律的运动有助于释放压力和焦虑',
      details: '运动可以释放内啡肽和多巴胺等“快乐激素”，改善情绪，减轻焦虑和抑郁，提升整体心理健康。总之，运动是一种全面提升身心健康的有效方式，能够帮助我们更好地应对生活中的压力与挑战。',
      expanded: false,
    },
    {
      title: '正念冥想',
      description: '通过正念冥想来关注当下，减少焦虑',
      details: '正念冥想可以有效缓解焦虑和压力，帮助人们从烦恼和负面情绪中抽离出来，增强对当下的接受与理解。总之，正念冥想是一种有效的工具，可以帮助我们在快节奏的生活中找到内心的平静与平衡。',
      expanded: false,
    },
  ];

  tools = [
    {
      name: '在线冥想课程',
      description: '提供多种冥想练习，帮助你减轻焦虑',
      link: 'https://www.bilibili.com/video/BV1gdUpYyEiw/',
      buttonText: '查看视频',
    },
  ];

  resources = [
    {
      title: '控制焦虑的方法',
      link: 'https://m.baidu.com/bh/m/detail/ar_13481633186713755563',
      buttonText: '查看更多',
    },
    {
      title: '克服焦虑的方法',
      link: 'https://m.baidu.com/bh/m/detail/ar_4824212419687234431',
      buttonText: '阅读更多',
    },
  ];

  discussions = [
    {
      title: '分享你的焦虑管理经验',
      link: 'https://example.com/community',
    },
  ];
  constructor(private router: Router) {
    
   }
   goTab1(){
    this.router.navigate(['tabs/tab1']);
   }
  ngOnInit() {}

}
